aboutsummaryrefslogtreecommitdiff
path: root/stretch-amd64-ota/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'stretch-amd64-ota/build.sh')
-rwxr-xr-xstretch-amd64-ota/build.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/stretch-amd64-ota/build.sh b/stretch-amd64-ota/build.sh
new file mode 100755
index 00000000..a03d97ac
--- /dev/null
+++ b/stretch-amd64-ota/build.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+trap cleanup_exit INT TERM EXIT
+
+cleanup_exit()
+{
+ rm -f *.list *.key
+}
+
+export LANG=C
+
+DISTRIBUTION=$(basename ${PWD} | cut -f1 -d '-')
+ARCHITECTURE=$(basename ${PWD} | cut -f2 -d '-')
+
+cp -a ../linaro-overlay-obs.list ../linaro-overlay-obs.key .
+
+image=linaro/ci-${ARCHITECTURE}-debian-ota:${DISTRIBUTION}
+docker build --pull --tag=$image .
+echo $image > .docker-tag